Redmine - Defect #35201

Duplicate entries in issue filter values
2021-05-04 12:03 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 414

Resolution: Fixed Affected version:

Description

when filtering the issue list for multiple assignees, the redisplayed filter values box contained the selected users twice - once under
their option group (i.e. 'active'), and once below, without any option group:

screenshot.png
The cause was using .last when computing missing entries, which will not return the id as expected in the case of 3-element array
values. Using [1] instead fixed this. That bug was observed on 3.4 through to current master.

Associated revisions

Revision 20990 - 2021-05-07 06:45 - Go MAEDA

Duplicate entries in issue filter values (#35201).

Patch by Jens Kramer.

Revision 20991 - 2021-05-07 06:47 - Go MAEDA
Merged r20990 from trunk to 4.2-stable (#35201).

Revision 20992 - 2021-05-07 06:50 - Go MAEDA
Merged r20990 from trunk to 4.1-stable (#35201).

History

#1 - 2021-05-05 14:00 - Go MAEDA
- Tracker changed from Patch to Defect
- Status changed from New to Confirmed

- Target version set to 4.1.4

Setting the target version to 4.1.4.

#2 - 2021-05-07 06:50 - Go MAEDA
- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#3 - 2021-05-07 08:14 - Go MAEDA

- Subject changed from duplicate entries in issue filter values to Duplicate entries in issue filter values

Files
0001-use-1-instead-of-.last-to-get-value-when-determining.patch 2KB 2021-05-04 Jens Kramer
screenshot.png 15.9 KB 2021-05-04 Jens Kramer
